<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [AutocompleteData](./bitburner.autocompletedata.md) &gt; [filename](./bitburner.autocompletedata.filename.md)

## AutocompleteData.filename property

The filename of the script about to be run

**Signature:**

```typescript
filename: string;
```
